Bug 1930007 - filter dropdown item filter and resource list dropdown item filter doesn't support multi selection
Summary: filter dropdown item filter and resource list dropdown item filter doesn't su...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Kim Dobestein
QA Contact: Yadan Pei
URL:
Whiteboard: Scrubbed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-18 07:25 UTC by Yadan Pei
Modified: 2021-07-27 22:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:45:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
filter dropdown item checkbox (88.12 KB, image/png)
2021-02-18 07:25 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8802 0 None open Bug 1930007: Filter dropdown doesn’t support multi selection 2021-04-27 21:25:33 UTC
Github openshift console pull 8877 0 None open Bug 1930007: Allow multiple selection on resources drop down 2021-05-10 16:30:10 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:47:27 UTC

Description Yadan Pei 2021-02-18 07:25:12 UTC
Created attachment 1757739 [details]
filter dropdown item checkbox

Description of problem:
We use checkbox for filter dropdown item and resource list dropdown item, but it doesn't support multi selection, in this way we have to repeat click & choose steps multiple times if we want to select multiple status and resources 

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-02-12-013204

How reproducible:
Always

Steps to Reproduce:
1. Goes to Events or Search page, click 'Resource' dropdown
2. Goes to Workloads -> Pods page, click 'Filter' dropdown


Actual results:
1. in the dropdown list, we use checkbox to select resources, but it doesn't allow multiple selection, we have to repeat the operation if we want to select more than one resource
2. in the Filters dropdown, we can choose only one status one time, if we want to select multiple status we have to choose multiple times 

Expected results:


Additional info:

Comment 2 ralpert 2021-03-22 17:53:31 UTC
I took a look at this last bug bash Monday. I replaced the dropdown in the filter toolbar with a select from PatternFly. Something in console is capturing the click event that triggers the checkboxes in the Select. It works perfectly with keyboard controls. This needs more investigation; it's not just a straight replacement.

Comment 3 ralpert 2021-04-05 15:59:03 UTC
Haven't had time to circle back to this due to higher priority bugs in my queue.

Comment 5 Yadan Pei 2021-05-06 06:20:17 UTC
Now the second issue(2. Goes to Workloads -> Pods page, click 'Filter' dropdown) is resolved with the fix PR, however on 'Search' and 'Events' page, still only one resource can be selected one time

Moving back for confirmation

Comment 7 Yadan Pei 2021-05-17 03:07:37 UTC
1. Goes to Events or Search page, click 'Resource' dropdown, multiple resources can be selected, filter will be closed once user click the filter or click outside of filter
2. Goes to Workloads -> Pods, Compute -> Nodes page, click 'Filter' dropdown, multiple resources can be selected, filter will be closed once user click the filter or click outside of filter

Verified on 4.8.0-0.nightly-2021-05-15-141455

Comment 10 errata-xmlrpc 2021-07-27 22:45:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.